package com.izouma.nineth.dto;

import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;

import java.math.BigDecimal;
import java.util.List;

/**
 * 分页对象分装
 * @param <T>
 */
public class PageWrapDTO<T> extends PageImpl<T> {

    /**
     * 总金额
     */
    private BigDecimal totalAmount;


    public PageWrapDTO(List<T> content, Pageable pageable, long total) {
        super(content, pageable, total);
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

}
